// -*- C++ -*-
//
// GsimGeom_CentralBarrel.cc
// Geometry definition function
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:12:46 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#include <iostream>
#include <string>
#include <stdlib.h>
#include <math.h>
#include "CLHEP/Vector/ThreeVector.h"
#include "ccfortran/G321Common.h"
#include "ccfortran/ccfortran.h"
#include "GsimGeneral.h"
#include "GsimGeom.h"


//////
#define  DEBUG  0


//////
extern int  DetUseCBAR[]; // GsimGeom.h


//////
void
GsimGeom_CentralBarrel()
{
  //
  int  ivol=0;

  // Central Barrel
  double  cbar_height   = 42.356;
  double  cbar_len_bot  = 550;
  double  cbar_len_top  = 530;
  double  cbar_bottom   = 19.51;
  double  cbar_top      = cbar_bottom + cbar_height*tan( 2*M_PI/32 );
  double  cbar_rmin     = 100.3;
  double  cbar_trap_th  = atan( (cbar_top-cbar_bottom)/2/cbar_height );
  double  cbar_trap_thd = rad2deg( cbar_trap_th );
  float  p_cbar[] = { cbar_height/2,cbar_trap_thd,0,
                      cbar_len_top/2, cbar_top/2,   cbar_top/2,    0,
                      cbar_len_bot/2, cbar_bottom/2,cbar_bottom/2, 0  };
  GSVOLU( "CBAR","TRAP",n_lead,p_cbar,sizeof(p_cbar)/sizeof(float),ivol );
  for( int i=0;i<32;i++ ){
    double  x = cbar_rmin + cbar_height/2;
    double  y = -cbar_bottom/2 + (cbar_top+cbar_bottom)/4;
    double  z = 135 + cbar_len_bot/2;
    Hep3Vector c( x,y,z );
    c.rotateZ( 2*M_PI*i/32 );
    int  rotm = grot_x90_z_32+(24+i)%32;
    if ( DetUseCBAR[0] ){ //////
      GSPOS( "CBAR",i+1,"MOTH",c.x(),c.y(),c.z(),rotm,"ONLY" );
    }
  }

}
