// -*- C++ -*-
//
// GsimFFuser.cc
// Geometry definition function
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:12:46 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//
#include <iostream>
#include "ccfortran/ccfortran.h"
#include "ccfortran/G321Common.h"
#include "GsimGeneral.h"


//////
void
GsimFFuser()
{
  if ( gcflag_.ISWIT[3-1] > 0 )
    std::cerr << "GsimFFuser" << std::endl; 

  //
  FFKEY( "D2BF", disp_2buf,     1, "INTEGER");
  FFKEY( "DZOM", disp_zoom,     2, "REAL");
  FFKEY( "DCEN", disp_center,   2, "REAL");
  FFKEY( "DRTH", disp_rotth,    1, "REAL");
  FFKEY( "DRPH", disp_rotph,    1, "REAL");
  FFKEY( "DRPS", disp_rotps,    1, "REAL");
  //
  FFKEY( "MFST", mfstep,        1, "REAL");
  FFKEY( "MNST", gctrak_.MAXNST,1, "INTEGER");
  //
  FFKEY( "TGTZ", TargetZ,       1, "REAL");
  FFKEY( "MVGZ", MoveGenZ,      2, "REAL");
  //
  FFKEY( "FBAR", DetUseFBAR,    2, "INTEGER" );
  FFKEY( "CBAR", DetUseCBAR,    2, "INTEGER" );
  FFKEY( "CSIC", DetUseCSIC,    2, "INTEGER" );
  FFKEY( "CSEG", DetUseCSEG,    2, "INTEGER" );
  FFKEY( "CC01", DetUseCC01,    2, "INTEGER" );
  FFKEY( "CC02", DetUseCC02,    2, "INTEGER" );
  FFKEY( "CC03", DetUseCC03,    2, "INTEGER" );
  FFKEY( "CC04", DetUseCC04,    2, "INTEGER" );
  FFKEY( "CC05", DetUseCC05,    2, "INTEGER" );
  FFKEY( "BMCT", DetUseBMCT,    2, "INTEGER" );
  FFKEY( "CHGV", DetUseCHGV,    2, "INTEGER" );
  //
}


//////
extern"C"
void
gsim_ffuser_()
{
  GsimFFuser();
}

