// -*- C++ -*-
//
// GsimGeom.h
// Geometry parameter definition
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:12:46 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#ifndef GSIMGEOM_H_INCLUDED
#define GSIMGEOM_H_INCLUDED

static const int  n_hydrogen     = 1;
static const int  n_deuterium    = 2;
static const int  n_helium       = 3;
static const int  n_lithium      = 4;
static const int  n_beryllium    = 5;
static const int  n_carbon       = 6;
static const int  n_nitrogen     = 7;
static const int  n_neon         = 8;
static const int  n_aluminium    = 9;
static const int  n_iron         = 10;
static const int  n_copper       = 11;
static const int  n_tungsten     = 12;
static const int  n_lead         = 13;
static const int  n_air          = 15;
static const int  n_vacuum       = 16;
static const int  n_silicon      = 17;
static const int  n_titanium     = 22;
static const int  n_gold         = 79;
static const int  n_csi          = 98;
static const int  n_scintillator = 99;

static const int  n_beryllium_mf = 105;
static const int  n_iron_mf      = 110;
static const int  n_tungsten_mf  = 112;
static const int  n_lead_mf      = 113;
static const int  n_air_mf       = 115;
static const int  n_vacuum_mf    = 116;

static const int  grot_z_32      = 101; // 101-132; 32 devision
static const int  grot_x90_z_32  = 201; // 201-232; 32 devision
static const int  grot_y90_z_32  = 301; // 301-332; 32 devision


#endif // GSIMGEOM_H_INCLUDED
