// -*- C++ -*-
//
// Gutrak.cc
// C++ interface of GUTRAK
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Wed Jul 11 15:29:57 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#include <iostream>
#include "ccfortran/ccfortran.h"
#include "ccfortran/G321Common.h"
#include "GsimGeneral.h"


//////
#define  DEBUG  0


//////


//////
void
Gutrak()
{
  if ( gcflag_.ISWIT[3-1] > 0 )
    std::cerr << "Gutrak" << std::endl;

  // 
  if ( ( gckine_.IKINE == 2 ) && gckine_.ITRA == 1 ){
    GDECAY();
    for( int i=0;i<gcking_.NGKINE;i++ ){
      int  type = (int)gcking_.GKIN[i][4];
      if ( type == 4 ) // skip neutrino
        gcking_.IFLGK[i] = -1;
      else
        gcking_.IFLGK[i] = 1;
      GSKING( i+1 );
      // mechanism
      if ( 0 < gcking_.IFLGK[i] ){
        if ( gcking_.IFLGK[i] < MAX_MECH ){
          GenMechanism[gcking_.IFLGK[i]] = gcking_.KCASE;
        }
      }
    }
    if ( DEBUG ){
      GPRINT( "KINE",0 );
      GPRINT( "VERT",0 );
    }
    gckine_.ITRA++;
  }
  else{
    GTRACK();
  }
}


/// FORTRAN/C interface
extern"C"{
  void  gutrak_(){ Gutrak(); }
}
