// -*- C++ -*- 
//
// piddef.h
// define PID macros ( from PDG IDs ) 
//
// author  : Mitsuhiro YAMAGA
// created : 1999/03/03
//
// $Id$
//
// $Log$
//

#ifndef PTYPE_H_INCLUDED
#define PTYPE_H_INCLUDED

typedef struct{
  int     pid;
  double  charge;
  double  mass;
} Ptype;

// from GEANT manual, not from PDG
static Ptype ptype[120] = {
  { 0, 0, 0.0           }, //dummy
  { 1, 0, 0.0           }, //gam
  { 2, 1, 0.00051099906 }, // e+
  { 3,-1, 0.00051099906 }, // e-
  { 4, 0, 0.0           }, // nu
  { 5, 1, 0.105658389   }, // mu+
  { 6,-1, 0.105658389   }, // mu-
  { 7, 0, 0.1349764     }, // pi0
  { 8, 1, 0.1395700     }, // pi+
  { 9,-1, 0.1395700     }, // pi-
  {10, 0, 0.497672      }, // KL
  {11, 1, 0.493677      }, // K+
  {12,-1, 0.493677      }, // K-
  {13, 0, 0.93956563    }, // n
  {14, 1, 0.93827231    }, // p
  {15,-1, 0.93827231    }, // p-
  {16, 0, 0.497672      }, // Ks
  {17, 0, 0.54745       }, // Eta
  {18, 0, 1.115684      }, // Lambda
  {19, 1, 1.18937       }, // Sigma+
  {20, 0, 1.19255       }, // Sigma0
  {21,-1, 1.197436      }, // Sigma-
  {22, 0, 1.3149        }, // Xi0
  {23,-1, 1.32132       }, // Xi-
  {24,-1, 1.67245       }, // Omega
  {25, 0, 0.93956563    }, // Antineutron
  {26, 0, 1.115684      }, // Antilambda
  {27,-1, 1.18937       }, // Antisigma-
  {28, 0, 1.19255       }, // Antisigma0
  {29, 1, 1.197436      }, // Antisigma+
  {30, 0, 1.3149        }, // Antixi0
  {31, 1, 1.32132       }, // Antixi+
  {32, 1, 1.67245       }, // Antiomega+
  {33, 0, 0.            }, // 
  {34, 0, 0.            }, // 
  {35, 0, 0.            }, // 
  {36, 0, 0.            }, // 
  {37, 0, 0.            }, // 
  {38, 0, 0.            }, // 
  {39, 0, 0.            }, // 
  {40, 0, 0.            }, // 
  {41, 0, 0.            }, // 
  {42, 0, 0.            }, // 
  {42, 0, 0.            }, // 
  {44, 0, 0.            }, // 
  {45, 1, 1.67245       }, // Deuteron
  {46, 1, 2.80925       }, // Tritium
  {47, 2, 3.727417      }, // Alpha
  {48, 0, 0.            }, // Geantino
  {49, 2, 2.80923       }, // He3
  {50, 0, 0.            }, // Cerenkov
  
};

#if 0 // PDG value
#define         PID_E            11
#define         PID_ENEU         12
#define         PID_MU           13
#define         PID_MUNEU        14
#define         PID_TAU          15
#define         PID_TAUNEU       16
#define         PID_GAMMA        22
#define         PID_PI0         111
#define         PID_PIp         211
#define         PID_K0          311
#define         PID_Kl          130
#define         PID_Ks          310
#define         PID_Kp          321
#define         PID_Kstar0      313
#define         PID_Kstarp      323
#define         PID_PHI         333
#define         PID_PSI         443
#define         PID_B0          511
#define         PID_Bp          521
#define         PID_N          2112
#define         PID_P          2212
#endif // PDG value

//
#endif  // PTYPE_H_INCLUDED
