// -*- C++ -*-
//
// Uginit.cc
// User routine for GEANT initialization
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Thu Jul 12 15:34:41 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#include "ccfortran/ccfortran.h"
#include "ccfortran/G321Common.h"
#include "GsimGeneral.h"


////////////////
void
Uginit()
{
  if ( gcflag_.ISWIT[3-1] > 0 )
    std::cerr << "Uginit" << std::endl;

  // GEANT initialization
  GINIT();

  // Data records
  GsimFFuser();
  gsim_ffread_();

  // Initialize data structure
  GZINIT();
  
  // Initialize graphics
  if ( Display && !isGxsim ){ // Gxsim opens a display by itself.
    HPLINT( 1 );
    GDINIT();
  }

  // Particle table initialization
  GPART();
  GPIONS();

  // Material initialization
  GMATE();

  // Geometry and material description
  Ugeom();

  // Energy loss and cross-section tables
  GPHYSI();

  // Create view bank
  if ( Display ){
    GsimDetView( gcflag_.ISWIT[8-1] );
    IUWK( 0,1 );
  }

}


/// FORTRAN/C interface
extern"C"{
  void  uginit_(){ Uginit(); }
}

