// -*- C++ -*-
//
// ntuple.h
// NTUPLE information
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Fri Apr 20 15:44:51 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#ifndef NTUPLE_H_INCLUDED
#define NTUPLE_H_INCLUDED

// 
typedef struct{
  float XX,YY,ZZ,PX,PY,PZ,PP,EE;
  int   PN;
} GEN;
extern GEN gen; // ntuple.cc


#define  MAX_GEN 20
#if 0
typedef struct{
  int   NGEN;
  float XX[MAX_GEN],YY[MAX_GEN],ZZ[MAX_GEN];
  float PX[MAX_GEN],PY[MAX_GEN],PZ[MAX_GEN],PP[MAX_GEN];
  float EK[MAX_GEN],MASS[MAX_GEN];
  int   PN[MAX_GEN],MO[MAX_GEN],DA1[MAX_GEN],DA2[MAX_GEN];
  int   MECH[MAX_GEN],STATUS[MAX_GEN];
} GEN_PARTICLE;
extern GEN_PARTICLE gen_particle; // ntuple.cc
static GEN_PARTICLE gen_particle_clear; // Zero components
#endif


typedef struct{
  int   SEED1,SEED2;
} GSIM_RAND;
extern GSIM_RAND gsim_rand; // ntuple.cc
static GSIM_RAND gsim_rand_clear; // Zero components


typedef struct{
  int    EVTNO,STATUS;
  int    NCSI,IDCSI[600];
  float  ECSI[600];
  int    NFBR,IDFBR[16];
  float  EFBR[16];
  int    NCBR,IDCBR[32];
  float  ECBR[32];
  float  ECC1,ECC2;
  int    NCC3,IDCC3[4];
  float  ECC3[4];
  float  ECC4,ECC5,EBMC;
  int    NCHV,IDCHV[32];
  float  ECHV[32];

  float  XCSIHIT[600],YCSIHIT[600],ZCSIHIT[600];
  float  PXCSIHIT[600],PYCSIHIT[600],PZCSIHIT[600];
  float  PPCSIHIT[600],EKCSIHIT[600];
  int    PNCSIHIT[600];

  int    NGEN;
  float  XX[MAX_GEN],YY[MAX_GEN],ZZ[MAX_GEN];
  float  PX[MAX_GEN],PY[MAX_GEN],PZ[MAX_GEN],PP[MAX_GEN];
  float  EK[MAX_GEN],MASS[MAX_GEN];
  int    PN[MAX_GEN],MO[MAX_GEN],DA1[MAX_GEN],DA2[MAX_GEN];
  int    MECH[MAX_GEN],GSTATUS[MAX_GEN];

} NRESULT;
extern NRESULT nresult; // ntuple.cc
static NRESULT nresult_clear; // Zero components


//
#if 0
static char  s_gen_particle[] = 
"NGEN:I::[0,20], "
"XX(NGEN):R, YY(NGEN):R, ZZ(NGEN):R, "
"PX(NGEN):R, PY(NGEN):R, PZ(NGEN):R, PP(NGEN):R, EK(NGEN):R, MASS(NGEN):R, "
"PN(NGEN):I::[0,100], "
"MO(NGEN):I::[0,20], DA1(NGEN):I::[-1,20], DA2(NGEN):I::[-1,20], "
"MECH(NGEN):I, STATUS(NGEN):I";
#endif

static char  s_gsim_rand[] = 
"SEED1:I, SEED2:I";

static char  s_nresult[] = 
"EVTNO:I, STATUS:I, "
"NCSI:I::[0,600], IDCSI(NCSI):I::[0,600], ECSI(NCSI):R, "
"NFBR:I::[0,16],  IDFBR(NFBR):I::[0,15],  EFBR(NFBR):R, "
"NCBR:I::[0,32],  IDCBR(NCBR):I::[0,31],  ECBR(NCBR):R, "
"ECC1:R, ECC2:R, "
"NCC3:I::[0,4],   IDCC3(NCC3):I::[0,3],   ECC3(NCC3):R, "
"ECC4:R, ECC5:R, EBMC:R, "
"NCHV:I::[0,32],  IDCHV(NCHV):I::[0,31],  ECHV(NCHV):R, "

"XCSIHIT(NCSI):R, YCSIHIT(NCSI):R, ZCSIHIT(NCSI):R, "
"PXCSIHIT(NCSI):R, PYCSIHIT(NCSI):R, PZCSIHIT(NCSI):R, "
"PPCSIHIT(NCSI):R, EKCSIHIT(NCSI):R, PNCSIHIT(NCSI):I, "

"NGEN:I::[0,20], "
"XX(NGEN):R, YY(NGEN):R, ZZ(NGEN):R, "
"PX(NGEN):R, PY(NGEN):R, PZ(NGEN):R, PP(NGEN):R, EK(NGEN):R, MASS(NGEN):R, "
"PN(NGEN):I::[0,120], "
"MO(NGEN):I::[0,20], DA1(NGEN):I::[-1,20], DA2(NGEN):I::[-1,20], "
"MECH(NGEN):I, GSTATUS(NGEN):I";

#endif // NTUPLE_H_INCLUDED
