// -*- C++ -*-
//
// TMNtuple.h
// NTUPLE accessing classes
//
// Author:  Mitsuhiro YAMAGA (yamaga@post.kek.jp)
// Created: Tue Sep 11 17:17:42 JST 2001
//
// $Id$
//
// Revision History
//
// $Log$
//

#ifndef TMNTUPLE_H_INCLUDED
#define TMNTUPLE_H_INCLUDED

//
#include <string>


//
class TupleManager;


//////
class TMNtuple {
public:
  TMNtuple( const TupleManager* );
  ~TMNtuple();
  //
  // CWN
  void  book( int hid, const std::string& title,
              const std::string& block, 
              void* vars, const std::string& cname );
  // CWN, read only
  void  book( int hid, const std::string& block, void* vars );
  // RWN
  void  book( int hid, const std::string& title,
              void* vars, const std::string& varname );
  // RWN, read only
  void  book( int hid, void* vars );
  // dump data buffer to the output file
  int   dump();
  // read data block into &vars
  int   read( int eventNo );
  // hnoent()
  int   totalEntries();

private:
  //
  bool          m_bufinit;
  int           m_type; // TMN_CWN or TMN_RWN, see TupleManager.h
  std::string   m_title;
  std::string   m_block;
  std::string   m_cname;
  int           m_hid;
  float*        m_vars;
  const TupleManager* m_manager;
  
};


#endif // TMNTUPLE_H_INCLUDED

